{
Form WordMazeOptions
--------------------

Copyright (c) 2003

Licensed under the BSD/MIT License:

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
}

unit WordMazeOptions;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TWordMazeOpts = class(TForm)
    WLabel: TLabel;
    WVal: TLabel;
    WSet: TTrackBar;
    HLabel: TLabel;
    HVal: TLabel;
    HSet: TTrackBar;
    WILabel: TLabel;
    WIVal: TLabel;
    WISet: TTrackBar;
    HILabel: TLabel;
    HIVal: TLabel;
    HISet: TTrackBar;
    PicLeftLabel: TLabel;
    PicLeftVal: TLabel;
    PicLeftSet: TTrackBar;
    PicTopLabel: TLabel;
    PicTopVal: TLabel;
    PicTopSet: TTrackBar;
    PicTailLabel: TLabel;
    PicTailVal: TLabel;
    PicTailSet: TTrackBar;
    PicPenWidthLabel: TLabel;
    PicPenWidthVal: TLabel;
    PicPenWidthSet: TTrackBar;
    OKBtn: TButton;
    CancelBtn: TButton;
    MazeGenLabel: TLabel;
    MazeAlgorithm: TComboBox;
    AutoCorrectSet: TCheckBox;
    procedure WSetChange(Sender: TObject);
    procedure HSetChange(Sender: TObject);
    procedure WISetChange(Sender: TObject);
    procedure HISetChange(Sender: TObject);
    procedure PicLeftSetChange(Sender: TObject);
    procedure PicTopSetChange(Sender: TObject);
    procedure PicTailSetChange(Sender: TObject);
    procedure PicPenWidthSetChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WordMazeOpts: TWordMazeOpts;

implementation

{$R *.dfm}

procedure TWordMazeOpts.WSetChange(Sender: TObject);
begin
	WVal.Caption := IntToStr(WSet.Position);
end;

procedure TWordMazeOpts.HSetChange(Sender: TObject);
begin
	HVal.Caption := IntToStr(HSet.Position);
end;

procedure TWordMazeOpts.WISetChange(Sender: TObject);
begin
	WIVal.Caption := IntToStr(WISet.Position);
end;

procedure TWordMazeOpts.HISetChange(Sender: TObject);
begin
	HIVal.Caption := IntToStr(HISet.Position);
end;

procedure TWordMazeOpts.PicLeftSetChange(Sender: TObject);
begin
	PicLeftVal.Caption := IntToStr(PicLeftSet.Position);
end;

procedure TWordMazeOpts.PicTopSetChange(Sender: TObject);
begin
	PicTopVal.Caption := IntToStr(PicTopSet.Position);
end;

procedure TWordMazeOpts.PicTailSetChange(Sender: TObject);
begin
	PicTailVal.Caption := IntToStr(PicTailSet.Position);
end;

procedure TWordMazeOpts.PicPenWidthSetChange(Sender: TObject);
begin
	PicPenWidthVal.Caption := IntToStr(PicPenWidthSet.Position);
end;

end.
